Subject: bug#25105: bug#25400: M-p in diff-mode jumps too far

From: Dmitry Gutov <[email-masked]>
Date: Thu, 12 Jan 2017 02:34:39 +0300

Hi Tino,

Thanks for doing this. However, I'd prefer two separate commits: one 
reverting 2c8a7e5 (if that is what we are doing), and one with your 
actual changes.

That would make the history easier to read, and would probably improve 
'git blame' results as well.

Thanks.